> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-owl-reference-set-specification/quality-assurance/3-quality-assurance.md).

# Quality Assurance

The following additional quality assurance should be developed for the OWL refsets though this is not a complete list.

1. Validation of expressions following OWL Functional-Style Syntax specification
2. Validation of profile of the OWL ontology generated from the OWL refsets
3. Each active concept should have at least one active axiom
4. Each active concept can only have one declaration of Class, Object property, or Data property
5. Inactive concept must not have active axiom
6. Active axiom must not contain any inactive component
7. Domain and range validation by property types
   1. All descendants of [| Concept model object attribute|](http://snomed.info/id/762705008) can only have target values from component of concept or expression
   2. All descendants of [| Concept model data attribute|](http://snomed.info/id/762706009) can only have target values from data types and it must not have values from component of concept

Utilise the OWL API 4 or 5 for profile violation check as part of QA:

{% embed url="<http://owlcs.github.io/owlapi/apidocs_4/org/semanticweb/owlapi/profiles/OWLProfileViolation.html>" %}

{% embed url="<http://owlcs.github.io/owlapi/apidocs_5/org/semanticweb/owlapi/profiles/OWLProfileViolation.html>" %}

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=OWL+Specification&#x26;entry.670899847=Quality%20Assurance" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-owl-reference-set-specification/quality-assurance/3-quality-assurance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
